package cn.timer.api.dto.jxgl;

import java.io.Serializable;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import cn.timer.api.config.exception.ValidationMsg;
import cn.timer.api.dto.spmk.User;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BeingAppraisalPerson implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@NotNull(message = ValidationMsg.NOTNULL)
	private Integer id;

	/**
	 * 0员工 1部门
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@Min(value = 0,message = ValidationMsg.MIN)
	@Max(value = 1,message = ValidationMsg.MAX)
	private Integer type;
	
	/**
	 * 0被考核人 1无需考核人
	 */
	@NotNull(message = ValidationMsg.NOTNULL)
	@Min(value = 0,message = ValidationMsg.MIN)
	@Max(value = 1,message = ValidationMsg.MAX)
	private Integer sts;
	
}
